Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: roger-router

roger-router (1.8.14-4ubuntu1) eoan; urgency=medium * debian/control: - the libgupnp/libgssdp dev binaries has been renamed, update the build-depends according to that to rebuild with the correct versions * debian/patches/new-gupnp_build.patch: fix build with new gupnp -- Gianfranco Costamagna <locutusofborg@debian.org> Mon, 13 May 2019 10:12:17 +0200 roger-router (1.8.14-4build2) eoan; urgency=medium * No-change rebuild against libgupnp-1.2-0 -- Steve Langasek <steve.langasek@ubuntu.com> Fri, 10 May 2019 18:31:06 +0000 roger-router (1.8.14-4build1) disco; urgency=medium * No-change rebuild against latest evolution-data-server -- Jeremy Bicha <jbicha@ubuntu.com> Thu, 07 Feb 2019 06:28:46 -0500

Modifications :
  1. Download patch debian/control

    --- 1.8.14-4/debian/control 2018-05-24 11:23:37.000000000 +0000 +++ 1.8.14-4ubuntu1/debian/control 2019-05-13 08:12:07.000000000 +0000 @@ -1,7 +1,8 @@ Source: roger-router Section: net Priority: optional -Maintainer: Debian QA Group <packages@qa.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org> Build-Depends: debhelper (>= 11), libappindicator3-dev, libcapi20-dev (>= 1:3.24), @@ -9,8 +10,8 @@ Build-Depends: debhelper (>= 11), libgdata-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libgtk-3-dev, - libgupnp-1.0-dev, - libgssdp-1.0-dev, + libgupnp-1.2-dev, + libgssdp-1.2-dev, libnotify-dev, libpeas-dev, libpulse-dev,
  2. Download patch debian/patches/new-gupnp_build.patch

    --- 1.8.14-4/debian/patches/new-gupnp_build.patch 1970-01-01 00:00:00.000000000 +0000 +++ 1.8.14-4ubuntu1/debian/patches/new-gupnp_build.patch 2019-05-13 08:12:17.000000000 +0000 @@ -0,0 +1,25 @@ +Description: Fix build with new gupnp API +Author: Gianfranco Costamagna <locutusofborg@debian.org> +Last-Update: 2019-05-13 + +--- roger-router-1.8.14.orig/configure.ac ++++ roger-router-1.8.14/configure.ac +@@ -86,7 +86,7 @@ AC_MSG_RESULT([$WIN32]) + AM_CONDITIONAL(WIN32, test "x$WIN32" != "xno") + AM_CONDITIONAL(MACOSX, test "x$macos" != "xno") + +-PKG_CHECK_MODULES([EXTRA], [glib-2.0 >= 2.40 gio-2.0 >= 2.40 speex >= 1.0 speexdsp >= 1.0 sndfile >= 1.0.0 libxml-2.0 gupnp-1.0 gssdp-1.0]) ++PKG_CHECK_MODULES([EXTRA], [glib-2.0 >= 2.40 gio-2.0 >= 2.40 speex >= 1.0 speexdsp >= 1.0 sndfile >= 1.0.0 libxml-2.0 gupnp-1.2 gssdp-1.2]) + + # Check for GTK >= 3.14 + PKG_CHECK_MODULES([GTK], [gtk+-3.0 >= 3.10]) +--- roger-router-1.8.14.orig/libroutermanager/ssdp.c ++++ roger-router-1.8.14/libroutermanager/ssdp.c +@@ -81,6 +81,6 @@ static void on_context_available(GUPnPCo + + void ssdp_init(void) + { +- context_manager = gupnp_context_manager_new(NULL, 1900); ++ context_manager = gupnp_context_manager_create(1900); + g_signal_connect(context_manager, "context-available", G_CALLBACK(on_context_available), NULL); + }
  3. Download patch debian/patches/series

    --- 1.8.14-4/debian/patches/series 2018-05-24 10:35:41.000000000 +0000 +++ 1.8.14-4ubuntu1/debian/patches/series 2019-05-13 08:12:17.000000000 +0000 @@ -3,3 +3,4 @@ fix-manpages.diff fix-cups-quoting.diff enable-maintainer-mode.diff libsecret_0.18.6.patch +new-gupnp_build.patch
  1. roger-router